<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5768067351c51ef11ad40dc0717251bb">addConfig</a>()=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">checkMinGLVersion</a>(const String &amp;v) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">createPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a8d0df0814578018a78a8f890fd8ad21b">createWindow</a>(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle)=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a8178f7c197f702846d213ade4669bfa1">getProcAddress</a>(const String &amp;procname)=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6f9ba5ca177845957a42cd1bd95f1c92">GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a04cb4a54ce276a4088339aa4d97b6e0e">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a69e070222ab7665286cd951134313724">mVendor</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a83e842aa5b8fd36a7d9b94820ab8be5e">mVersion</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abb8f80ec1b1bd562672c5eb33352e9f9">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a879f0cb8c332e623613a9837bb994800">start</a>()=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a8900222e86476441b4742ceb1fd37293">stop</a>()=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">supportsPBuffers</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5c715eb0c3cad1f1dd89ddf8acc7867b">validateConfig</a>()=0</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6da70cbba51979f3b3360cd4fc412f75">~GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:20
</p>
</body>
</html>
